<?
define('PROTECTOR', 1);

$headmod = 'set';//фикс. места

$textl='Настройки';
@include('files/path.php');
@include($path.'files/db.php');
@include($path.'files/auth.php');
@include($path.'files/func.php');
@include($path.'files/core.php');
@include($path.'files/head.php');
@include($path.'files/zag.php');

switch($_GET[mod]){

default:

echo"<div class='m_bg'>Настройки:</div><div class='m_bg'>";
echo'<a href="ava.php">Аватар</a><br/>';
echo'<a href="set.php?mod=sb">Система боя</a><br/>';
echo'<a href="set.php?mod=foot">Интерфейс низа страниц</a><br/>';
echo'<a href="set.php?mod=klass1">Выбрать класс</a><br/>';
echo'<a href="set.php?mod=storona">Поменять сторону</a><br/>';
echo'<a href="set.php?mod=cancel">Сбросить очки параметров</a><br/>';
echo'<a href="set.php?mod=pass">Поменять пароль</a><br/>';
echo'<a href="set.php?mod=pol">Поменять пол</a><br/>';
if($udata[info_karta] == 1){
echo'<a href="set.php?mod=koff">Отключить карту</a><br/>';}
else { echo'<a href="set.php?mod=kon">Включить карту</a><br/>';}
echo'<a href="vip.php?">Стать VIP</a></div>';
break; 

case 'koff':

mysql_query("UPDATE `users` SET
`info_karta` =  '0' WHERE `usr` = '$log' ");
echo'Карта отключена<br/>';
echo"<a href='set.php'>Назад</a>";
break;
case 'kon':

mysql_query("UPDATE `users` SET
`info_karta` =  '1' WHERE `usr` = '$log' ");
echo'Карта включена<br/>';
echo"<a href='set.php'>Назад</a>";
break;


case 'sb':
if(empty($_POST[sb])){
echo "<form action='set.php?mod=sb' method='POST'>";
echo"<div class='m_bg'>Система боя:</div>";
if($udata[sb] == 1){echo'<div class="m_bg"><input type="radio" name="sb" value="1" CHECKED /> Список с выбором<br />
<input type="radio" name="sb" value="2" /> Выпадающий список<br /><input type="submit" value="Оk" /></form></div>';}
else{echo'<div class="m_bg"><input type="radio" name="sb" value="1" /> Список с выбором<br />
<input type="radio" name="sb" value="2" CHECKED /> Выпадающий список<br /><input type="submit" value="Оk" /></form></div>';}

}
else{
$sb = $_POST[sb];
mysql_query("UPDATE `users` SET
`sb` =  '$sb' WHERE `usr` = '$log' ");
echo'Система боя выбрана<br/>';
echo"<a href='set.php'>Назад</a>";
}
break;


case 'foot':
echo"<div class='m_bg'>Настроить интерфейс отображения снизу</div>";
if($udata[foot_pers] == 1){
echo "<a href=?mod=foot_pers>Выкл. отображение ссылки Персонаж</a><br/>";}
else { echo "<a href=?mod=foot_pers>Вкл. отображение ссылки Персонаж</a><br/>";}
if($udata[foot_inv] == 1){ 
echo "<a href=?mod=foot_inv>Выкл. отображение ссылки Инвентарь</a><br/>";}
else { echo "<a href=?mod=foot_inv>Вкл. отображение ссылки Инвентарь</a><br/>";}
if($udata[foot_forum] == 1){ 
echo "<a href=?mod=foot_forum>Выкл. отображение ссылки Форум</a><br/>";}
else { echo "<a href=?mod=foot_forum>Вкл. отображение ссылки Форум</a><br/>";}
if($udata[foot_msg] == 1){ 
echo "<a href=?mod=foot_msg>Выкл. отображение ссылки Почта</a><br/>";}
else { echo "<a href=?mod=foot_msg>Вкл. отображение ссылки Почта</a><br/>";}
if($udata[foot_time] == 1){ 
echo "<a href=?mod=foot_time>Выкл. отображение часов</a><br/>";}
else { echo "<a href=?mod=foot_time>Вкл. отображение часов</a><br/>";}
if($udata[foot_rasp] == 1){ 
echo "<a href=?mod=foot_rasp>Выкл. отображение ссылки Расписание</a><br/>";}
else { echo "<a href=?mod=foot_rasp>Вкл. отображение ссылки Расписание</a><br/>";}


echo"<a href='set.php'>Назад</a>";
break;
case 'foot_pers':
if($udata[foot_pers] == 1){
mysql_query("UPDATE `users` SET `foot_pers` = '0' WHERE `usr` = '$log'"); }
else {mysql_query("UPDATE `users` SET `foot_pers` = '1' WHERE `usr` = '$log'"); }
echo'Настройки интерфейса сохранены<br />';
echo"<a href='?mod=foot'>Назад</a>";
break;
case 'foot_inv':
if($udata[foot_inv] == 1){
mysql_query("UPDATE `users` SET `foot_inv` = '0' WHERE `usr` = '$log'"); }
else {mysql_query("UPDATE `users` SET `foot_inv` = '1' WHERE `usr` = '$log'"); }
echo'Настройки интерфейса сохранены<br />';
echo"<a href='?mod=foot'>Назад</a>";
break;
case 'foot_forum':
if($udata[foot_forum] == 1){
mysql_query("UPDATE `users` SET `foot_forum` = '0' WHERE `usr` = '$log'"); }
else {mysql_query("UPDATE `users` SET `foot_forum` = '1' WHERE `usr` = '$log'"); }
echo'Настройки интерфейса сохранены<br />';
echo"<a href='?mod=foot'>Назад</a>";
break;
case 'foot_time':
if($udata[foot_time] == 1){
mysql_query("UPDATE `users` SET `foot_time` = '0' WHERE `usr` = '$log'"); }
else {mysql_query("UPDATE `users` SET `foot_time` = '1' WHERE `usr` = '$log'"); }
echo'Настройки интерфейса сохранены<br />';
echo"<a href='?mod=foot'>Назад</a>";
break;
case 'foot_msg':
if($udata[foot_msg] == 1){
mysql_query("UPDATE `users` SET `foot_msg` = '0' WHERE `usr` = '$log'"); }
else {mysql_query("UPDATE `users` SET `foot_msg` = '1' WHERE `usr` = '$log'"); }
echo'Настройки интерфейса сохранены<br />';
echo"<a href='?mod=foot'>Назад</a>";
break;
case 'foot_rasp':
if($udata[foot_rasp] == 1){
mysql_query("UPDATE `users` SET `foot_rasp` = '0' WHERE `usr` = '$log'"); }
else {mysql_query("UPDATE `users` SET `foot_rasp` = '1' WHERE `usr` = '$log'"); }
echo'Настройки интерфейса сохранены<br />';
echo"<a href='?mod=foot'>Назад</a>";
break;



case 'klass1':
if(empty($_POST[klass])){
echo "<form action='set.php?mod=klass1' method='POST'>";
echo"<div class='m_bg'>Класс <img src=pic/main/almaz.png>15:</div>";
echo'<div class="m_bg"><input type="radio" name="klass" value="wizard" CHECKED /> Маг<br />
<input type="radio" name="klass" value="fighert" /> Воин<br />ВНИМАНИЕ! При смене класса Вы потеряете все свои умения<br /><input type="submit" value="Оk" /></form></div>';}
else{
if($udata[almaz] >=15){
$req1 = mysql_query("SELECT * FROM `item` WHERE `usr` = '$log' and `image` = 'yes'");
$avto1=mysql_num_rows($req1);
if($avto1 == 0){
$alm = $udata[almaz] - 15;
$ochki = $udata[lvl]*3;
if($_POST[klass] == 'wizard' and $udata[almaz] >= 15){
mysql_query("UPDATE `users` SET
`klas` =  'wizard',`almaz` =  '$alm',
  `sila` = '1',
        `um` = '3',
        `lovk` = '3',
        `hpall` = '12',
        `mpall` = '9',
`skill` = '$ochki',
  `hp` = '12',
  `hpall` = '12',
        `mp` = '9',
 `mpall` = '9',
        `sila` = '1',
        `um` = '3',
        `lovk` = '3',
        `prot` = '0',
        `pgolova` = '2',
        `pbody` = '1',
        `pnogi` = '2',
        `antikrit` = '8',
        `krit` = '5',
        `ukrit` = '5',
        `umin` = '3',
        `umax` = '9'
 WHERE `usr` = '$log' ");
mysql_query("DELETE FROM `mag` WHERE `usr` = '$log'");
mysql_query("INSERT INTO
        `mag` SET
        `usr` = '$log',
        `name` = 'Магическая стрела',
        `lat_name` = 'mag_strela',
        `tip` = 'atack',
        `klas` = 'wizard',
        `uron` = '13|15|18|21|24|27|30|33|37|40',   
        `mp` = '9|10|12|13|14|15|16|17|18|19',   
        `hp` = '0|0|0|0|0|0|0|0|0|0',   
        `plushp` = '0|0|0|0|0|0|0|0|0|0',   
        `cena` = '50|100|200|380|540|800|1124|1800|2600',        
        `lvl` = '1'");
}


if($_POST[klass] == 'fighert' and $udata[almaz] >= 15){
mysql_query("UPDATE `users` SET
`klas` =  'fighert',`almaz` =  '$alm', 
  `sila` = '2',
        `um` = '1',
        `lovk` = '2',
        `hpall` = '14',
        `mpall` = '7',
`skill` = '$ochki',
 `hp` = '14',
  `hpall` = '14',
        `mp` = '7',
 `mpall` = '7',
        `sila` = '2',
        `um` = '1',
        `lovk` = '2',
        `prot` = '0',
        `pgolova` = '2',
        `pbody` = '2',
        `pnogi` = '1',
        `antikrit` = '5',
        `krit` = '8',
        `ukrit` = '8',
        `umin` = '3',
        `umax` = '10' WHERE `usr` = '$log' ");
mysql_query("DELETE FROM `mag` WHERE `usr` = '$log' ");
mysql_query("INSERT INTO
        `mag` SET
        `usr` = '$log',
        `name` = 'Сильный удар',
        `lat_name` = 'siln_udar',
        `tip` = 'atack',
        `klas` = 'fighert',
        `uron` = '10|15|18|21|24|27|30|33|37|40',   
        `mp` = '7|9|10|11|12|13|14|15|16|17',   
        `hp` = '0|0|0|0|0|0|0|0|0|0',   
        `plushp` = '0|0|0|0|0|0|0|0|0|0',   
        `cena` = '50|100|200|380|540|800|1124|1800|2600',
        `lvl` = '1'");
}

echo'Класс успешно изменен<br />';
echo"<a href='set.php?'>Назад</a>";}

else{echo'Произошла ошибка : на Вас что-то одето (снимите все)';}

} else { 
echo'Не хватает алмазов<br />';
echo"<a href='set.php?'>Назад</a>"; } } 
break;

case 'cancel':
echo'Сброс очков распределения стоит <img src=pic/main/almaz.png>15. <a href="set.php?mod=canc">Сбросить</a>';
break;

case 'canc':
if($udata[almaz] >= 15){
$req1 = mysql_query("SELECT * FROM `item` WHERE `usr` = '$log' and `image` = 'yes'");
$avto1=mysql_num_rows($req1);
if($avto1 == 0){

$ochki = $udata[lvl]*3;
mysql_query("UPDATE `users` SET
`almaz` =  '$udata[almaz]'-'15'  WHERE `usr` = '$log' ");
if($udata[klas] == wizard){    mysql_query("UPDATE 
        `users` SET
        `skill` = '$ochki',
        `sila` = '1',
        `um` = '3',
        `lovk` = '3',
        `hpall` = '12',
        `mpall` = '9',
  `hp` = '12',
  `hpall` = '12',
        `mp` = '9',
 `mpall` = '9',
        `sila` = '1',
        `um` = '3',
        `lovk` = '3',
        `prot` = '0',
        `pgolova` = '2',
        `pbody` = '1',
        `pnogi` = '2',
        `antikrit` = '8',
        `krit` = '5',
        `ukrit` = '5',
        `umin` = '3',
        `umax` = '9' WHERE `usr` = '$log'
       "); }
if($udata[klas] == fighert){    mysql_query("UPDATE 
        `users` SET
        `skill` = '$ochki',
        `sila` = '2',
        `um` = '1',
        `lovk` = '2',
        `hpall` = '14',
        `mpall` = '7',
    `hp` = '14',
  `hpall` = '14',
        `mp` = '7',
 `mpall` = '7',
        `sila` = '2',
        `um` = '1',
        `lovk` = '2',
        `prot` = '0',
        `pgolova` = '2',
        `pbody` = '2',
        `pnogi` = '1',
        `antikrit` = '5',
        `krit` = '8',
        `ukrit` = '8',
        `umin` = '3',
        `umax` = '10'
 WHERE `usr` = '$log'
       "); }
echo'Очки успешно сброшены.<a href="set.php?">Назад</a>'; }
else{echo'Произошла ошибка : не хватает средств, либо на Вас что-то одето (снимите все)';}}
break;

case 'pass':


$req = mysql_query("SELECT * FROM `users` WHERE `id`='$_GET[id]' LIMIT 1");
$item = mysql_fetch_array($req);

if(empty($_POST[pass])){
echo "<form action='set.php?mod=pass' method='POST'>";
echo"Новый пароль:<br/>
<input class='input' type=\"text\" value=\"\" size=\"10\" name=\"pass\"/><br/>";
echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{
mysql_query("UPDATE `users` SET
`pass` = md5('$_POST[pass]') WHERE id='$udata[id]' LIMIT 1");

echo'Пароль изменён!<br/>';
echo"<a href='set.php?'>Назад</a>";
}




break;

case 'pol':
echo'Вы уверены, что хотите сменить пол на противоположный? Это будет стоить Вам <img src=pic/main/almaz.png>10 <a href=set.php?mod=pol1>Да</a><br/>';
echo"<a href='set.php?'>Назад</a>";
break;

case 'pol1':

if($udata[pol] == 'm'){$storona = 'w';}
if($udata[pol] == 'w'){$storona = 'm';}
if($udata[almaz] >= 10){
$almaz = $udata[almaz] - 10;
mysql_query("UPDATE `users` SET `almaz` = '$almaz',`pol` = '$storona' WHERE `usr` = '$log'");
echo'Пол успешно изменен!<br/>';
echo"<a href='set.php?'>Назад</a>";}
else{ echo'Не хватает алмазов!<br/>';
echo"<a href='set.php?'>Назад</a>";}
break;

case 'storona':
echo'Вы уверены, что хотите сменить сторону на противоположную? Это будет стоить Вам <img src=pic/main/almaz.png>20. При смене стороны Вы автоматически покинете клан.<a href=set.php?mod=st>Да</a><br/>';
echo"<a href='set.php?'>Назад</a>";
break;

case 'st':

if($udata[storona] == black) {$storona = 'white';}
else{$storona = 'black';}
if($udata[almaz] >= 20){
$almaz = $udata[almaz] - 20;
mysql_query("UPDATE `users` SET `almaz` = '$almaz',`storona` = '$storona', `clan`='', `cexp`='0', `clan_prava`='0'  WHERE `usr` = '$log'");
echo'Сторона успешно изменена!<br/>';
echo"<a href='set.php?'>Назад</a>";}
else{ echo'Не хватает средств!<br/>';
echo"<a href='set.php?'>Назад</a>";}
break;

}
include($path.'files/down.php');
?>